Skip to navigation

Get Folder by ID

Get a single Folder by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

folder_idstringRequired
ID of the Folder.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
childrenstringOptionalformat: "uri"
The folders directly nested under this folder.
createdAtstringOptional
descriptionstring or nullOptional
idstringOptional
modifiedAtstring or nullOptional
namestring or nullOptional
parentobject or nullOptional

The parent folder, if it exists. Root folders (one per Project) have no parent.

projectobject or nullOptional
ID of the containing project

Errors

400
Folder Get Request Bad Request Error
403
Folder Get Request Forbidden Error
404
Folder Get Request Not Found Error
429
Folder Get Request Too Many Requests Error
500
Folder Get Request Internal Server Error